%global app_version 1.0-SNAPSHOT
%global def_version 1.1-SNAPSHOT
%global cla_version 1.1-SNAPSHOT
%global sty_version 1.2-SNAPSHOT
%global fluido_version 1.4.0-SNAPSHOT

Name:           maven-skins
Version:        5
Release:        11%{?dist}
Summary:        Maven Skins

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://maven.apache.org/skins/
# svn export http://svn.apache.org/repos/asf/maven/skins/tags/maven-skins-5
# tar caf maven-skins-5-tar.xz maven-skins-5/
Source0:        %{name}-%{version}.tar.xz
BuildArch: noarch

BuildRequires:  maven-local
BuildRequires:  maven-install-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-site-plugin
Requires:       javapackages-tools
Requires:       java

%description
Skins for the maven site generator. 

%prep
%setup -q 

sed -i -e "s|5-SNAPSHOT|5|g" maven-application-skin/pom.xml
sed -i -e "s|5-SNAPSHOT|5|g" maven-default-skin/pom.xml
sed -i -e "s|5-SNAPSHOT|5|g" maven-classic-skin/pom.xml
sed -i -e "s|5-SNAPSHOT|5|g" maven-stylus-skin/pom.xml
rm -fr src/site/site.xml

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles


%changelog
* Fri Feb 21 2014 Alexander Kurtakov <akurtako@redhat.com> 5-10
- Adapt to latest guidelines.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 5-7
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Nov 25 2011 Alexander Kurtakov <akurtako@redhat.com> 5-4
- Adapt to current guidelines.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 8 2010 Alexander Kurtakov <akurtako@redhat.com> 5-2
- BR maven-site-plugin.

* Wed May 26 2010 Alexander Kurtakov <akurtako@redhat.com> 5-1
- Initial package.
